##############################################################################
# This optional file "builder-targets-cb.sh" will be called by builder.sh 
# 
# The targets will be called from thde opsi-builder using the following
# order: config, prepare, retrieve, create, package, publish, commit, cleanup 
# You can overwrite the target functions in builder-targets-cb.sh
# 
# You can define callback functions. The functions are called from
# opsi-builder within processing a target
#   cb_package_makeproductfile
#
# You can use every variable defined in any configuration file or by
# the defined builder script itself. Also, calling the predefined
# targets builder_<targetname> is possible.
#
# Abstract:
#  target order: config, prepare, retrieve, create, package, publish, commit, cleanup
#  callbacks: <none>
#
##############################################################################

function cleanup() {
    echo "Cleanup"
    builder_cleanup
}

function create() {
    echo "Create"
    builder_create

    mkdir -p $INST_DIR/CLIENT_DATA/X86/Updater/Core
    mv $INST_DIR/CLIENT_DATA/X86/Temp/Adobe\(R\)\ Photoshop\(R\)\ CS2 $INST_DIR/CLIENT_DATA/X86/Core
    rm -rf $INST_DIR/CLIENT_DATA/X86/Core/stock\ photography
    rm -rf $INST_DIR/CLIENT_DATA/X86/Core/bridge
    mv $INST_DIR/CLIENT_DATA/X86/Temp/bridge $INST_DIR/CLIENT_DATA/X86/Core/bridge
    mv $INST_DIR/CLIENT_DATA/Adobe\ Photoshop\ CS2\ 9.0.2.msp $INST_DIR/CLIENT_DATA/X86/Core/
    mv $INST_DIR/CLIENT_DATA/Adobe\ Photoshop\ CS2.mst $INST_DIR/CLIENT_DATA/X86/Core/
    rm $INST_DIR/CLIENT_DATA/X86/Core/{*.exe,*.wri,Setup.ini}
    rm -rf $INST_DIR/CLIENT_DATA/X86/Temp
}

